Bug 165539 - "mail event" button has disappeared from korganizer/kontact
"mail event" button has disappeared from korganizer/kontact
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-08-10 06:04 EDT by A. Folger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 10:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description A. Folger 2005-08-10 06:04:50 EDT
Description of problem:
There used to be a button for mailing events. Clicking that button allowed
events to be mailed without first specifying participants. When clicking the
button, kmail would be started and a new message window would appear with the
event as an attachment and as plain text.

The currently only available technique is to double-click on an event, click on
the attendees tab, select an attndee, close the event, select it in case it has
been deselected, and then click on publish (assuming you have made the
scheduling toolbar visible). The event is then sent without any confirmation.

I checked the available buttons (customize toolbars) and could NOT find the
desired button.

The "mail event" feature was great for me as:
1) I create many events on my palm and it is tedious to then edit every event
and add an observer (my secretary who should not book conflicting events). 
2) Furthermore, it was possible to mail an event to someone who is not a
3) Finally, another advantage of mailing events, as opposed to publishing them 
is that one would see the new message window appear, which acted also as a
confirmation that the event was mailed. Since it isn't easy to see which event
is selected (the selected event has a slightly highlighted border), one keeps on
wondering whether the right event was indeed published.

I wonder whether the button wasn't elimited by mistake.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Start program
2. Look at toolbar buttons, the desired button is gone, although there still is
a "Publish" button.
Actual results:
The button is missing. "Publish will only work if a least one attendee was selected.

Expected results:
Either have a separate "mail event" function (better), or have the publish
button bring up a "new message" kmail window no matter what, in which the
recipients can then be indicated ... even when they are different from the
reported attendees.

Additional info:
In Fedora Core 3 this still works, however, I am not sure in which update it
changed or whether it was so since Core 4 was released. (I just installed Core 4
and noticed the lacking button).
Comment 1 Ngo Than 2006-05-03 10:42:51 EDT
it seems the KDE upstream has removed this. I don't know why they have removed
it. If you like this feature, please fill new feature request on http//bugs.kde.org.
It should be fixed in the KDE upstream.

Note You need to log in before you can comment on or make changes to this bug.